summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbackupfiles.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/backupfiles.sh b/backupfiles.sh
new file mode 100755
index 0000000..97d4860
--- /dev/null
+++ b/backupfiles.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+test "$(hostname)" = "tomsmeding.com" || { echo "Not on server...?"; exit 1; }
+cp --version >/dev/null 2>&1 || { echo "not GNU cp"; exit 1; }
+cd ~/webserver
+mkdir -p ../backups_webserver
+find modules/zelfoverhoor -type f -name '*.json' | grep -v 'accounts.json' | xargs cp -v -t ../backups_webserver